# Awesome list of Important Podcasts for software engineers
[![Awesome](https://awesome.re/badge-flat.svg)](https://awesome.re)

List of podcasts which are helpful for software engineers/programmers.

## Table of Contents


* [.NET](#net)
* [Agile](#agile)
* [Android](#android)
* [C++](#c)
* [Clojure](#clojure)
* [Community/Inspiration](#communityinspiration)
* [Data Science/Machine Learning](#data-sciencemachine-learning)
* [Devops](#devops)
* [Free BSD](#freebsd)
* [Functional Programming](#functional-programming)
* [General Software](#general-software)
* [Git](#git)
* [Go Programming Language](#go-programming-language)
* [Groovy](#groovy)
* [iOS](#ios)
* [Java](#java)
* [JavaScript](#javascript)
  * [Angular](#angular)
  * [React.js](#reactjs)
  * [Vue.js](#vuejs)
* [Kotlin](#kotlin)
* [PHP](#php)
* [Python](#python)
* [R](#R)
* [ReasonML](#reasonml)
* [Ruby/Rails](#rubyrails)
* [Rust Programming Language](#rust-programming-language)
* [Scala](#scala)
* [Security](#security)
* [Swift](#swift)
* [Web development](#web-development)

## .NET

* [.NET Rocks](https://www.dotnetrocks.com/) ([Stitcher](https://www.stitcher.com/podcast/net-rocks))

  * **Description**: .NET Rocks! is a weekly talk show for anyone interested in programming on the Microsoft .NET platform. The shows range from introductory information to hardcore geekiness.
  * **Frequency**: Two episodes every week

* [HERDING CODE](http://herdingcode.com)

  * **Description**: show covering a broad range of .NET-related topics in considerable technical depth.
  * **Frequency**: Monthly once

* [Merge Conflict](http://www.mergeconflict.fm/)
  * **Description**: Join Frank & James for a weekly discussion on the world of technology and development including C#, F#, .NET, web, mobile, and more.
  * **Frequency**: Weekly

## Agile

* [Agile For Humans](https://ryanripley.com/agile-for-humans/)

  * **Description**: Interviews people about Agile and becoming better at Agile
  * **Frequency**: Once a week

## Android

* [Android Developers Backstage](http://feeds.feedburner.com/blogspot/AndroidDevelopersBackstage)

  * **Description**: Podcast interviewing Google engineers about the latest Android APIs
  * **Frequency** : Monthly once

* [Android Snacks](http://androidsnacks.com)

  * **Description**: The TL;DR of last weeks Android developer news
  * **Frequency** : Weekly once

* [Context Podcast](https://github.com/artem-zinnatullin/TheContext-Podcast)

  * **Description**: Podcast that discusses on various frameworks and tools available in Android Community
  * **Frequency** : Monthly Once

* [Fragmented Podcast](http://fragmentedpodcast.com/category/episodes/)

  * **Description**: An Android Developer Podcast
  * **Frequency** : Weekly once or twice

## C++

* [CppCast](http://cppcast.com/)

  * **Description**: All about C++ and many great interviews with prominent library and tool authors.
  * **Frequency** : Once every week

## Clojure

* [Defn](https://defn.audio/)

  * **Description**: Interviews with leaders and folks of the Clojure and ClojureScript community.
  * **Frequency** : Every other week

* [Cognicast](http://blog.cognitect.com/cognicast)

  * **Description**: Interviews with leaders and folks of the Clojure and ClojureScript community.
  * **Frequency** : Monthly twice

## Community/Inspiration

* [Bad Voltage](https://www.badvoltage.org/)

  * **Description**: Technology with a free software / open source slant, crossing over into related political topics. Evolution of the now-defunct [LugRadio](https://en.wikipedia.org/wiki/LugRadio) podcast.
  * **Frequency** : Monthly twice

* [Greater than Code](https://www.greaterthancode.com/)

  * <b>Description</b>: Interviews and discussions about where code and people meet and why #PeopleMatter
  * <b>Frequency</b>  : Once every week

* [Learn To Code With Me](https://learntocodewith.me/podcast/) ([Soundcloud](https://soundcloud.com/laurence-bradford) | [iTunes](https://itunes.apple.com/us/podcast/learn-to-code-with-me/id1106620664) | [Stitcher](https://www.stitcher.com/podcast/learn-to-code-with-me))

  * **Description**: For aspiring techies and self-taught coders looking to transition into the tech industry.
  * **Frequency** : Once a week

## Data Science/Machine Learning

* [Data Driven](http://datadriven.tv/)

  * **Description**: Exploring the field of data science, software engineering, machine learning, and AI.
  * **Frequency**: Weekly

* [DataFramed](https://www.datacamp.com/community/podcast)

  * **Description**: Interviews with industry experts on what data science is, what problems it tries to solve and what it looks like in practice.
  * **Frequency**: Weekly

* [Data Skeptic](https://dataskeptic.com/podcast)

  * **Description**: High level concepts in data science, and longer interview with researchers and practitioners
  * **Frequency**: Weekly

* [Linear Digressions](http://lineardigressions.com/)

  * **Description**: Data science, machine learning, artificial intelligence
  * **Frequency**: Weekly
  
* [Learning Machines 101](http://www.learningmachines101.com/)

  * **Description**: In this podcast series, we examine such questions as:
                      How do these devices work?
                      Where do they come from?
                      How can we make them even smarter?
                      And how can we make them even more human-like?
                  Learning Machines 101 is committed to providing an accessible introduction to the complex and fascinating world of                       Artificial Intelligence which now has an impact on everyday life throughout the world!
  * **Frequency**: Once a month

* [ocdlevel Machine Learning Guide](http://ocdevel.com/podcasts/machine-learning)

  * **Description**: Podcast that teaches high level fundamentals of Machine Learning with exercises
  * **Frequency** : Varies

* [O'Reilly Data Show](https://www.oreilly.com/topics/oreilly-data-show-podcast)

  * **Description**: Podcast that explores opportunities and techniques driving big data, data science, and AI through interviews and analysis.
  * **Frequency** : Varies

* [Practical AI](https://changelog.com/practicalai)

  * **Description**: Making artificial intelligence practical, productive, and accessible to everyone.
  * **Frequency** : Once a week

* [Super DataScience](https://www.superdatascience.com/podcast/)

  * **Description**: Podcast that interviews various people in the data science industry.
  * **Frequency**: Once every week

* [Talking Machines](https://www.thetalkingmachines.com)

  * **Description**: Conversations with experts in the field, discussions
    of industry news, and answers to questions.
  * **Frequency** : Every other week

* [The AI Podcast](https://blogs.nvidia.com/ai-podcast/)

  * **Description**: Interviews with the world’s leading experts in artificial intelligence, deep learning, and machine
    learning to explain how it works, how it’s
    evolving, and how it intersects with every facet of
    human endeavor, from art to science.
  * **Frequency** : Weekly

* [This Week in Machine Learning & AI (TWiML & AI)](https://twimlai.com/)
  
  * **Description**: Stories from the world of machine learning and artificial intelligence. Discussion on the latest developments in research, technology, business, and exploring interesting projects from across the web, including machine learning, artificial intelligence, deep learning, natural language processing, neural networks, analytics, big data and more.
  * **Frequency** : Twice a week
  

## Devops

* [Arrested DevOps](https://www.arresteddevops.com/)

  * **Description**: ADO helps you understand and develop good DevOps practices.
  * **Frequency** : Varies

* [DevOps Cafe](http://devopscafe.org/)

  * **Description**: Podcast with John Willis and Damon Edwards.
  * **Frequency** : Varies

* [HashiCast](https://www.hashicorp.com/blog/introducing-hashicast)

  * **Description**: A podcast about the world of infrastructure
  * **Frequency** : Bi-Weekly

* [SANS Internet Storm Center StormCast](https://isc.sans.edu/podcast.html)

  * **Description**: Stormcasts are daily 5-10 minute information security threat updates.
  * **Frequency** : Daily

* [Screaming in the Cloud](https://www.screaminginthecloud.com/)

  * **Description**: Snarky take on devops topics
  * **Frequency**: Weekly-ish.

* [To Be Continuous](https://www.heavybit.com/library/podcasts/to-be-continuous/) ([iTunes](https://itunes.apple.com/us/podcast/to-be-continuous/id1107185328) | [Overcast](https://overcast.fm/itunes1107185328/to-be-continuous) | [Android](https://www.subscribeonandroid.com/www.heavybit.com/category/library/podcasts/to-be-continuous/feed/))

  * **Description**: A show all about continuous delivery and software development.
  * **Frequency**: Once per month

## FreeBSD

* [FreeBSDNow](http://www.bsdnow.tv/)

  * **Description** We love and advocate FreeBSD, OpenBSD, NetBSD, DragonFlyBSD and TrueOS. Our show aims to be helpful and informative for new users that want to learn about them, but still be entertaining for the people who are already pros.
  * **Frequency**: Weekly (Wednesday US Eastern)
  * **RSS**
    * [MP3](http://feeds.feedburner.com/BsdNowMp3)
    * [Video](http://feeds.feedburner.com/BsdNowMobile)
    * [iTunes](http://ax.search.itunes.apple.com/WebObjects/MZSearch.woa/wa/search?entity=podcast&media=all&page=1&restrict=true&startIndex=0&term=Jupiter+Broadcasting)

## Functional Programming

* [CoRecursive](https://corecursive.com/)

  * **Description**: Interviews with functional programming devs & researchers covering a variety of languages. Language focus is approx. 50% Scala, 50% Haskell/Idris/Everything else.
  * **Frequency** : Varies

* Elixir Talk ([Soundcloud](https://soundcloud.com/elixirtalk) | [iTunes](https://itunes.apple.com/us/podcast/elixirtalk/id1298287048))

  * **Description**: Titillating discussion about Elixir application design and ecosystem state.
  * **Frequency** : Twice per month

* [Elm Town](https://elmtown.audio/)

  * **Description**: About the people making and using the Elm language.
  * **Frequency** : Varies

* [FunctionalGeekery](https://www.functionalgeekery.com/)

  * **Description**: All functional programming languages
  * **Frequency** : Monthly once

* [Haskell Cast](https://www.haskellcast.com/)

  * **Description**: Core haskell concepts
  * **Frequency** : Monthly once

* [Lambdacast](https://soundcloud.com/lambda-cast)

  * **Description**: Functional programming core concepts
  * **Frequency** : Once in 2 months

* [The Elixir Fountain](https://soundcloud.com/elixirfountain)

  * **Description**: Podcasts for news & interviews from around the @Elixirlang Community
  * **Frequency** : Varies
  
* [Indielixer](http://indielixer.com)

  * **Description**: A new solo podcast about independent side projects built in the Elixir language. Right now it focuses on the hosts projects, but will include other community members in the future.
  * **Frequency** : Varies - Usually once or twice a month, sometimes more


## General software

* [Away from keyboard](http://awayfromthekeyboard.com/) ([Soundcloud](https://soundcloud.com/awayfromthekeyboardpodcast) | [iTunes](https://itunes.apple.com/us/podcast/away-from-the-keyboard/id987544504))

  * **Description**: Away From The Keyboard is a podcast that talks to technologists and tells their stories. Stories about how they started, how they grew, how they learned, and how they unwind.
  * **Frequency**: Once a week

* [Base.cs](https://www.codenewbie.org/basecs)

  * **Description**: CodeNewbie teams up with Vaidehi Joshi to turn her base.cs blog series into an awesome podcast.
  * **Frequency** : Weekly

* [CaSE](http://www.case-podcast.org/)

  * **Description**: CaSE is an interview podcast for software developers and architects about Software Engineering and related topics.
  * **Frequency** : Every three weeks.

* [Code](https://codepodcast.com/)

  * **Description**: Code Podcast is about ideas that shape the way we build software
  * **Frequency** : Monthly once

* [Code Newbie](https://www.codenewbie.org/podcast)

  * **Description**: Stories from people on their coding journey.
  * **Frequency** : every Monday

* [CodePen Radio](https://blog.codepen.io/radio/)

  * **Description**: The people behind Codepen.io talk business, tech and more!
  * **Frequency** : Weekly

* [Coder Radio](http://coder.show)

  * **Description**: A weekly talk show taking a pragmatic look at the art and business of Software Development and related technologies.
  * **Frequency** : Weekly

* [Coding Blocks](https://www.codingblocks.net/category/podcast/)

  * **Description**: Software Design Patterns, Architecture, and Best Practices.
  * **Frequency** : Twice per month

* [#codepunk](https://codepunk.io/tag/podcast/) ([iTunes](https://itunes.apple.com/gd/podcast/codepunk/id1114040323) | [Overcast](https://overcast.fm/itunes1114040323/codepunk) | [Android](https://subscribeonandroid.com/codepunk.io/tag/podcast/rss/))

  * **Description**: A cyberculture and futurist podcast from Bill Ahern and Michael Szul that looks at the intersection of programming, advancing technology, and society.
  * **Frequency**: Twice per month

* [Complete Developer Podcast](http://completedeveloperpodcast.com)

  * **Description**: Listen to a senior developer and a junior developer discuss topics about all aspects of software development from the highly technical, to patterns and principles, to soft skills.
  * **Frequency**: Every Thursday

* [Command Line Heroes](https://www.redhat.com/en/command-line-heroes)

  * **Description**: Command Line Heroes tells the epic true tales of how developers, programmers, hackers, geeks, and open source rebels are revolutionizing the technology landscape.
  * **Frequency**: Twice per month

* [Developer On Fire](http://developeronfire.com/episodes)

  * **Description**: Inspiring software developers tell their stories.
  * **Frequency** : Once or twice every week

* [Developer Tea](https://spec.fm/podcasts/developer-tea)

  * **Description**: Podcast to help driven developers connect to their ultimate purpose and excel at their work so that they can positively impact the people they influence.
  * **Frequency**: Every Monday, Wednesday and Friday

* [Embedded FM](https://www.embedded.fm/)

  * **Description**: Interviews and discussions related to embedded software.
  * **Frequency** : Once every week

* [FreeCode Camp](http://freecodecamp.libsyn.com/) ([iTunes](https://itunes.apple.com/us/podcast/the-freecodecamp-podcast/id1313660749#))
  * **Description**:  A weekly talk that gives insights, people who started to code from non-technical background and successfully kickstarted thier carrers, as well as interviews with experts on how to get started in new hot topics in tech
  * **Frequency** : Weekly Once

* [Five Nines of Downtime](https://soundcloud.com/fiveninesofdowntime)

  * **Description**: Enterprise software development, distributed systems and whatever our guests find interesting.
  * **Frequency** : Once every Thursday

* [FLOSS Weekly](https://twit.tv/shows/floss-weekly)

  * **Description**: Interviews with members of the Open Source and Free Software community.
  * **Frequency** : Once every week

* [Giant Robots Smashing into other giant robots](https://robots.thoughtbot.com/)
  
  * **Description**: Podcast discussing the design, development, and business of great software with a rotating cast of fellow developers, designers, and entrepreneurs.
  * **Frequency** : Weekly

* [HAK5](https://www.hak5.org/)

  * **Description**: A podcast covering everything from open source software and network infrastructure to penetration testing.
  * **Frequency**: Weekly

* [HanselMinutes](https://hanselminutes.com/)

  * **Description**: Anything and everything related to software
  * **Frequency** : Once every week

* [Junior Developer Toolbox](http://juniordevelopertoolbox.com)

  * **Description**: Real talk from the trenches about everyday life as a junior developer: building, maintaining, and surviving a career in software engineering.
  * **Frequency**: Every Other Week

* [Lambda3 Podcast](https://www.lambda3.com.br/lambda3-podcast/)

  * **Description**: Lambda3 Podcast is a podcast about technology that focuses on software development, engineering practices, DevOps, agile, and related subjects. It alternates between technical episodes and non technical, more relaxed episodes. Those talk about different things like diversity, culture, and other fun subjects - In Brazilian Portuguese.
  * **Frequency**: Every Friday

* [Legacy Code Rocks](https://www.legacycode.rocks/) ([iTunes](https://itunes.apple.com/us/podcast/legacy-code-rocks/id1146634772?mt=2) | [Player.fm](https://player.fm/series/legacy-code-rocks) | [Stitcher](https://www.stitcher.com/podcast/corgibytes-2/legacy-code-rocks) | [SoundCloud](https://soundcloud.com/andrea-goulet-651190405) | [Overcast](https://overcast.fm/itunes1146634772/legacy-code-rocks) | [Android](https://subscribeonandroid.com/legacycoderocks.libsyn.com/rss))

  * **Description**: Legacy Code Rocks explores the world of modernizing existing software applications. Hosts Andrea Goulet and M. Scott Ford of Corgibytes are out to change the way you think about legacy code. If you’re like a lot of people, when you hear the words “legacy code” it conjures up images of big mainframes and archaic punch card machines. While that’s true — it only tells a small part of the story. The truth is, the code you leave behind is your legacy, so let's make it a good one.
  * **Frequency**: Approximately once a month

* [Modern Web](https://www.moderndotweb.com/modern-web-podcast) ([iTunes](https://itunes.apple.com/us/podcast/modern-web/id1084236187) | [Overcast](https://overcast.fm/itunes1084236187/modern-web) | [Android](https://www.subscribeonandroid.com/modernweb.podbean.com/feed/) | [PodBean](https://modernweb.podbean.com/))

  * **Description**: Modern Web is a podcast that covers the latest news on topics such as EmberJS, ReactJS, AngularJS, ES2015, RxJS, Functional Reactive Programming, and more.
  * **Frequency**: 2/3 episodes per month

* [MS Dev Show](https://msdevshow.com/)

  * **Description**: A podcast for developers covering topics such as Azure/cloud, .NET, Visual Studio, Node.js, ML/AI and more! Hosted by Jason Young and Carl Schweitzer.
  * **Frequency** : Once every week

* [Programming and Performance with Cliff Click](https://itunes.apple.com/us/podcast/programming-and-performance-with-cliff-click/id1286422919)

  * **Description**:  Various issues with Programming, Programmers, and Computer Performance.
  * **Frequency**: Weekly

* [Programming Throwdown](http://www.programmingthrowdown.com/)

  * **Description**: Anything and everything related to software
  * **Frequency**: Once per month

* [Relative Paths](https://relativepaths.uk/) ([iTunes](https://itunes.apple.com/gb/podcast/relative-paths-web-development/id914858338?mt=2&ign-mpt=uo%3D4) | [SoundCloud](https://soundcloud.com/relativepaths) | [Stitcher](https://www.stitcher.com/podcast/relative-paths) | [Android](https://subscribeonandroid.com/relativepaths.uk/feeds/cast.xml))

  * **Description**: A podcast about web design, web development, music, and that kind of thing. With Ben Hutchings and Mark Phoenix.
  * **Frequency**: Approximately once a month

* [Request For Commits](https://changelog.com/rfc) ([iTunes](https://itunes.apple.com/us/podcast/request-for-commits/id1141345001) | [Overcast](https://overcast.fm/itunes1141345001/request-for-commits) | [Android](http://www.subscribeonandroid.com/changelog.com/rfc/feed))

  * **Description**: Request For Commits explores different perspectives in open source sustainability. Hosts Nadia Eghbal and Mikeal Rogers dive deep into the trials and tribulations of being an open source maintainer, building communities, and navigating the business side of software. Common topics include software licensing, copyright, documentation, governance models, funding platforms such as Open Collective, Kickstarter, etc., measuring success, and more.
  * **Frequency**: Approximately twice a month

* [Software Engineering Daily](https://softwareengineeringdaily.com/)

  * **Description**: Podcasts on technical software topics
  * **Frequency** : Multiple episodes every week

* [Software Engineering Radio](http://www.se-radio.net/)

  * **Description**: Targeted at the professional software developer, aiming to be a lasting educational resource, not a newscast. Talks from experts from the software engineering world about the full range of topics that matter to professional developers.
  * **Frequency**: Three to four times a month

* [Soft Skills Engineering](https://softskills.audio/) ([iTunes](https://itunes.apple.com/us/podcast/soft-skills-engineering/id1091341048?mt=2) | [Overcast](https://overcast.fm/itunes1091341048/soft-skills-engineering) | [Android](https://subscribeonandroid.com/feeds.feedburner.com/SoftSkillsEngineering))

  * **Description**: It takes more than great code to be a great engineer. Soft Skills Engineering is a weekly question and answer podcast where software developer hosts answer questions about all of the non-technical things that go along with being a software developer.
  * **Frequency**: Once every week

* [The Accidental Engineer](https://theaccidentalengineer.com/)

  * **Description**: Anything and everything related to software
  * **Frequency** : Once every week

* [The Bike Shed](http://bikeshed.fm/)

  * **Description**: Ruby, Rails, Javascript
  * **Frequency** : Once every week

* [The Changelog](https://changelog.com/)

  * **Description**: Conversations with the hackers, leaders, and innovators of open source.
  * **Frequency** : Once every week

* [The Cynical Developer](https://cynicaldeveloper.com/) ([iTunes](https://itunes.apple.com/gb/podcast/the-cynical-developer/id1169160766) | [Overcast](https://overcast.fm/itunes1169160766/the-cynical-developer) | [Stitcher](https://www.stitcher.com/podcast/the-cynical-developer) | [Podchaster](https://www.podchaser.com/podcasts/the-cynical-developer-227715) | [Player.fm](https://player.fm/series/series-1580340) | [Pocket Casts](http://pca.st/w8FN) | [PodBean](https://www.podbean.com/start-unlimited-podcast))

  * **Description**: The UK based, podcast that helps you to improve your development knowledge and career, through explaining the latest and greatest in development technology and providing you with what you need to succeed as a developer.
  * **Frequency**: Once every week

* [The InfoQ Podcast](https://www.infoq.com/the-infoq-podcast)

  * **Description**: Podcasts on technical software topics, interviews with some of the top CTOs, engineers and technology directors.
  * **Frequency** : Once every week
  
* [The Manifest](https://manifest.fm/)

  * **Description**: A podcast all about package management. Each episode is a conversation with someone from the world of package management, covering how they got into the field, the architectural details of their work, and the communities around the tools.
  * **Frequency**: Sporadic, but no more than once a fortnight.

* [The MousePaw'dCast](https://mousepawmedia.com/news/podcast) ([iTunes](https://itunes.apple.com/us/podcast/mousepawdcast/id1242557040) | [Overcast](https://overcast.fm/itunes1242557040/mousepawdcast) | [Android](https://subscribeonandroid.com/mousepawmedia.com/rss/mousepawdcast.xml) | [iHeartRadio](https://www.iheart.com/podcast/428-MousePawdCast-28198080/) | [TuneIn](https://tunein.com/podcasts/Technology-Podcasts/MousePawdCast-p1002800/))

  * **Description**: The official podcast of MousePaw Media, discussing game development, open source programming, and education.
  * **Frequency**: Once per month

* [The New Stack](https://thenewstack.io/podcasts/)

  * **Description**: Analysis and explanations about application development and management at scale. Roundtable discussion with technologists, analysts and journalists, interviews with practitioners, demonstrations of software and services.
  * **Frequency**: Various

* [The Rabbit Hole](http://therabbithole.libsyn.com/) ([iTunes](https://itunes.apple.com/us/podcast/the-rabbit-hole-an-inside-look-into-software-development/id1223811385) | [Overcast](https://overcast.fm/itunes1223811385/the-rabbit-hole-an-inside-look-into-software-development) | [Android](https://subscribeonandroid.com/therabbithole.libsyn.com/rss))

  * **Description**: Welcome to The Rabbit Hole, the definitive developers' podcast. If you are a software developer or technology leader looking to stay on top of the latest news in the software development world, or just want to learn actionable tactics to improve your day-to-day job performance, this podcast is for you.
  * **Frequency**: Once every week

* [The raywenderlich Podcast](https://www.raywenderlich.com/rwpodcast)

  * **Description**: discuss every aspect of app development.Primarily focusing on Apple technology.
  * **Frequency** : Once per month

* [The Stack Overflow Podcast](https://stackoverflow.blog/podcasts/) ([iTunes](https://itunes.apple.com/us/podcast/the-stack-overflow-podcast/id1033688462?mt=2) | [Overcast](https://overcast.fm/itunes1033688462/the-stack-overflow-podcast) | [Android](http://subscribeonandroid.com/blog.stackexchange.com/feed/podcast/) | [SoundCloud](https://soundcloud.com/stack-exchange))

  * **Description**: The Stack Overflow Podcast lets you listen in on what’s new with the world’s largest developer community.
  * **Frequency**: Once every week

* [The Standup](http://www.standup.fm/)

  * **Description**: A podcast that delves into the obstacles and successes involved in creating, running, and sustaining successful software side projects.
  * **Frequency**: Twice every month

* [The Women in Tech Show](https://thewomenintechshow.com)

  * **Description**: Technical interviews with prominent women in tech.
  * **Frequency** : Once every week

* Toolsday ([By Spec](https://spec.fm/podcasts/toolsday) | [iTunes](https://itunes.apple.com/us/podcast/toolsday/id1063765302?mt=2))

  * **Description**: the latest in tech tools, tips, and tricks on Tuesdays at 2! (Our alliteration game is so strong).
  * **Frequency** : Once every week

* [Weekly Dev Tips](http://weeklydevtips.com)

  * **Description**: Short (5-10 min) episodes overing a single practical developer tip.
  * **Frequency**: Once a week (roughly)


## Git

* [All things git](https://www.allthingsgit.com)

  * **Description**: Interviews with people who build Git, who create tools for it and who teach people how to use it.
  * **Frequency** : Every two weeks

* [GitMinutes](https://www.gitminutes.com/)
  * **Description**: A podcast made by Thomas Ferris Nicolaisen for proficient Git users that features stories, discussions, ideas, demos and other things useful for those using Git today.
  * **Frequency** : Podcast ended in 2017.

## Go Programming Language

* [GoTime](https://changelog.com/gotime)

  * **Description**: A panel of Go experts and special guests discuss the Go programming language, the community, and everything in between.
  * **Frequency** : Once every week

* [Go Gab](https://www.briefs.fm/go-gab)

  * **Description**: Hosted by Nick Cox. A podcast about everything Go. We'll explore syntax, new libraries, its concurrency model, and what makes it unique. Anything Go-related is on the table!
  * **Frequency** : Once every week

## Groovy

* [Groovy Podcast](https://groovypodcast.podbean.com)

  * **Description**: A podcast dedicated to the Groovy programming language and its ecosystem.
  * **Frequency**: Approximately once a month

## iOS

* [iPhreaks](https://devchat.tv/iphreaks)

  * **Description**: Weekly panel discussion podcast about all things iOS programming.
  * **Frequency**: Once every week

* [Under the Radar](https://www.relay.fm/radar)

  * **Description**: From development and design to marketing and support, Under the Radar is all about independent app development.
  * **Frequency**: Once every week

* [Waiting for Review](https://waitingforreview.com/)

  * **Description**: A weekly podcast that follows the journeys of two iOS developers.
  * **Frequency**: Once every week

## Java

* [Enterprise Java Newscast](http://www.enterprisejavanews.com)

  * **Description**: covers the latest headlines in the world of enterprise software development.
  * **Frequency** : Approximately once a month

* [Java Pub House](http://www.javapubhouse.com)

  * **Description**: podcast talks about how to program in Java.
  * **Frequency** : Approximately once a month

## JavaScript

* [Javascript Jabber](https://devchat.tv/js-jabber) ([iTunes](https://itunes.apple.com/us/podcast/javascript-jabber/id496893300?mt=2) | [Stitcher](https://www.stitcher.com/podcast/ruby-rogues/javascript-jabber))

  * **Frequency**: Once every week

* [JavaScript Air](https://javascriptair.com/) ([Youtube](https://www.youtube.com/channel/UCJYTMGbtBliMSG8gadRHK2Q) | [iTunes](https://itunes.apple.com/us/podcast/javascript-air/id1066446588) | [Pocket Cast](http://pca.st/javaair))

  * **Description**: The live broadcast podcast all about JavaScript. The episodes run over Hangouts on Air live and get uploaded to YouTube and an audio podcast afterward. Topics include all things around JavaScript and Web Development.
  * **Frequency**: Once every week

* [JS Party](https://changelog.com/jsparty)

  * **Description**: A community celebration of JavaScript and the web.
  * **Frequency** : Once every week

### Angular

* [Adventures in Angular](https://devchat.tv/adv-in-angular)

  * **Description**: Developments in the Angular community, tools, techniques, and ecosystem.
  * **Frequency** : Once every week

* [AngularAir](https://angularair.com/)

  * **Description**: All about Angular
  * **Frequency** : Once every week

### React.js

* [The React podcast](https://changelog.com/reactpodcast) ([iTunes](https://itunes.apple.com/us/podcast/the-react-podcast/id1341969432) | [Overcast](https://overcast.fm/itunes1341969432/the-react-podcast) | [Android](http://www.subscribeonandroid.com/changelog.com/reactpodcast/feed))

  * **Description**: Interviews and news about React hosted by Michael Jackson.
  * **Frequency**: Once every week

* [React Native Radio](https://devchat.tv/react-native-radio) ([iTunes](https://itunes.apple.com/us/podcast/react-native-radio/id1058647602?mt=2) | [Stitcher](https://www.stitcher.com/podcast/ruby-rogues/react-native-radio?refid=stpr))
  * **Description**: React Native Radio Podcast
  * **Frequency**: Once every week
  

* [5 minutes of React podcast](https://5minreact.audio/) ([iTunes](https://itunes.apple.com/ru/podcast/5-minutes-of-react/id1232187990?mt=2&at=1010lwCk&l=en) | [Android](http://www.subscribeonandroid.com./feeds.soundcloud.com/users/soundcloud:users:304879382/sounds.rss) | [SoundCloud](https://soundcloud.com/5minreact_audio) | [YouTube](https://www.youtube.com/channel/UC43OeCrRbp6hSEnNZWIHOGg/videos?flow=list&live_view=500&view=0&sort=dd))
  * **Description**: Podcast about React hot topics and JavaScript ecosystem.
  * **Frequency**: Few times in a quarter

### Vue.js

* [The Official Vue News](https://news.vuejs.org/)

  * **Description**: We cover the latest Vue news and tutorials in about 5 minutes. Our goal is to give you the information you need to stay on top of your game as a Vue developer.
  * **Frequency** : Once every week

## Kotlin

* [Talking kotlin](http://talkingkotlin.com)

  * **Description**: Kotlin and more
  * **Frequency** : Approximately once a month

## PHP


* [php[podcast]](https://www.phparch.com/podcast/feed/episodes/)

  * **Description**: The site for PHP professionals, Magazine, Training, Books, Conferences.
  * **Frequency** : Once or twice every month


* [PHPUgly](https://phpugly.simplecast.fm/)

  * **Description**: The podcast your mother warned you about. Ramblings of a few overworked PHP Developers.
  * **Frequency** : Once every week


* [Sound of Symfony](http://feed.soundofsymfony.com/rss)

  * **Description**: The unofficial Symfony podcast.
  * **Frequency** : Various


* [That Podcast](https://thatpodcast.io/itunes.rss)

  * **Description**: Beau and Dave talking about life as dads, programmers, and entrepreneurs.
  * **Frequency** : Once every week.


* [The PHP Roundtable](http://feeds.feedburner.com/PhpRoundtable)

  * **Description**: The PHP Roundtable is a podcast of web developers discussing PHP, JavaScript, community, open source, and anything else PHP nerds care about.
  * **Frequency** : About once every month.


* [Voices of the ElePHPant](https://voicesoftheelephpant.com/feed/podcast/)

  * **Description**: Interviews with the people that are making the PHP community special.
  * **Frequency** : Once every month

## Python

* [Podcast.\_\_init\_\_](https://pythonpodcast.com/)

  * **Description**: The Podcast About Python and the People Who Make It Great
  * **Frequency** : Once every week

* [Python Bytes](https://pythonbytes.fm/)

  * **Description**: Python Bytes is a weekly podcast hosted by Michael Kennedy and Brian Okken. Python Bytes podcast delivers headlines directly to your earbuds. If you want to stay up on the Python developer news but don't have time to scour reddit, twitter, and other news sources, just subscribe and you'll get the best picks delivered weekly.
  * **Frequency** : Once every week

* [Talk Python To Me](https://talkpython.fm/)
  * **Description**: Talk Python to Me is a weekly podcast hosted by Michael Kennedy. The show covers a wide array of Python topics as well as many related topics (e.g. MongoDB, AngularJS, DevOps).
  * **Frequency** : Once every week

## R

* [The R-Podcast](https://r-podcast.org/)

  * **Description**: Podcast about giving practical advice on how to use R for powerful and innovative data analyses.
  * **Frequency** : Once every week

## ReasonML

* [Reason Town](https://reason.town/)

  * **Description**: A podcast about the ReasonML language
  * **Frequency** : Approximately once a month

## Ruby/Rails

* My Ruby Story ([By devchat](https://devchat.tv/my-ruby-story) | [iTunes](https://itunes.apple.com/us/podcast/my-ruby-story/id1237404328?mt=2))

  * **Description**: A weekly exploration into the people who make Ruby what it is.
  * **Frequency** : Once every week

* [Ruby Rogues](https://devchat.tv/ruby-rogues)

  * **Description**: Ruby and Rails
  * **Frequency** : Once every week

* [Ruby on Rails Podcast](http://5by5.tv/rubyonrails)

  * **Description**: conversation about Ruby on Rails,open source software, and the programming profession.
  * **Frequency** : Once every month.

* [RubyTapas](https://www.rubytapas.com)

  * **Description**: for the busy Ruby or Rails developer who is ready to reach the next level of code mastery.
  * **Frequency** : Once every week.

## Rust programming language

* [New Rustacean](https://newrustacean.com/)

  * **Description**: A podcast about learning Rust—from scratch.
  * **Frequency**: Various

* [The Rusty Spike](https://rusty-spike.blubrry.net/)

  * **Description**: A podcast for Rust and Servo
  * **Frequency**: Every Wednesday

## Scala

* [Scalalaz](https://scalalaz.ru/)

  * **Description**: Russian-speaking podcast about Scala, functional programming and software development
  * **Frequency**: Once in 2 weeks

## Security

* [Application Security Weekly](https://securityweekly.com/category/application-security-weekly/)
  * **Description**: Security podcast targeting developers. Excellent insight into what we can do as developers to secure our software.
  * **Frequency** :  Weekly

* [The Cyber Wire](https://www.thecyberwire.com/)

  * **Description**: Our mission is to provide concise and relevant daily briefings on the critical news happening across the global cyber security domain. In an industry overloaded with information, we also help individuals and organizations rapidly find the news and information that's important to them.
  * **Frequency** : Daily

* [Defensive Security Podcast](https://defensivesecurity.org/)

  * **Description**: A cyber security podcast covering breaches and strategies for defense. An attempt to look at recent security news and pick out lessons to apply organizations we are charged with keeping secure. 
  * **Frequency**: Various

* [OWASP 24/7](https://www.owasp.org/index.php/OWASP_Podcast)

  * **Description**: Discussions with project leads within OWASP. Discussions on new projects that have come on board, updates to existing projects and interesting bits of trivia that come across our desk.
  * **Frequency**: Weekly

* [Paul's Security Weekly](https://securityweekly.com/)

  * **Description**: All news on Security
  * **Frequency** : Once every week

* [Risky Business](https://risky.biz/netcasts/risky-business/)

  * **Description**: Information security podcast featuring news and in-depth interviews with industry luminaries.
  * **Frequency**: Weekly

* [Security Now](https://twit.tv/shows/security-now)

  * **Description**: Deep dive into Security concepts and news
  * **Frequency** : Once every week

* [The Secure Developer](https://www.heavybit.com/library/podcasts/the-secure-developer/) ([iTunes](https://itunes.apple.com/us/podcast/the-secure-developer/id1156317989?mt=2) | [Overcast](https://overcast.fm/itunes1156317989/the-secure-developer) | [Android](https://www.subscribeonandroid.com/www.heavybit.com/category/library/podcasts/the-secure-developer/feed/) | [SoundCloud](https://soundcloud.com/heavybit/sets/the-secure-developer))
  * **Description**: A podcast about security for developers, covering tools and best practices.
  * **Frequency**: Once every 2/3 month

## Swift

* [Fireside Swift](https://itunes.apple.com/us/podcast/fireside-swift/id1269435221?mt=2)

  * **Description**: Two buddies, Zack and Steve, discuss a new Swift topic each week. They try to stay informal while also conveying the information they know about each topic with bits of humor sprinkled throughout.
  * **Frequency**: Once every week

* [Swift by Sundell](https://www.swiftbysundell.com/podcast/)

  * **Description**: A show on which John Sundell & special guests from the community answer your questions about Swift development.
  * **Frequency**: Once every week

* [Swift Coders](https://itunes.apple.com/us/podcast/swiftcoders-weekly-interviews-with-swift-developers/id1082937962?mt=2)

  * **Description**: Weekly interviews with Swift developers about their experience with Apple’s new open source programming language.
  * **Frequency**: Once every week

* Swift Unwrapped ([By Spec](https://spec.fm/podcasts/swift-unwrapped) | [iTunes](https://itunes.apple.com/us/podcast/swift-unwrapped/id1209817203?mt=2))

  * **Description**: An audio spin off of Swift Weekly Brief and discussions on the Swift programming language.
  * **Frequency**: Once every week


## Web development

* [Chance the Developer](https://chancethedev.com/)

  * **Description**: No idea where I'm going with this. Join me as I ramble on about web development and talk to people who are much more talented than I am.
  * **Frequency** : Once every week

* [Dads in Development](http://www.dadsindev.com/)

  * **Description**: A podcast about raising children, web development, remote work, and health.
  * **Frequency**: Approximately once a month

* [DevNaEstrada](https://devnaestrada.com.br/)

  * **Description**: General software web development, bitcoin, devops, machine learning and more.
  * **Frequency**: Every Friday

* Does Not Compute ([By Spec](https://spec.fm/podcasts/does-not-compute) | [iTunes](https://itunes.apple.com/us/podcast/does-not-compute/id1048731980?mt=2))

  * **Description**: A weekly chat about the lives and workflows of modern web developers.
  * **Frequency** : Once every week

* [Friends Talk Frontend](https://friendstalkfrontend.com/) ([iTunes](https://itunes.apple.com/us/podcast/friends-talk-frontend/id1190447982) | [Overcast](https://overcast.fm/itunes1190447982/friends-talk-frontend) | [Android](https://subscribeonandroid.com/feeds.soundcloud.com/users/soundcloud:users:278649100/sounds.rss))

  * **Description**: Talking to amazing people about their habits, how they got to where they are now, and what their day-to-day life is like. We also talk about random shit.
  * **Frequency**: Approximately once a month

* [Front End Happy Hour](http://frontendhappyhour.com/) ([iTunes](https://itunes.apple.com/us/podcast/front-end-happy-hour/id1089047924?mt=2) | [SoundCloud](https://soundcloud.com/front-end-happy-hour))

  * **Description**: A podcast featuring panelists of engineers from Netflix, Evernote & LinkedIn talking over drinks about all things Front End development.
  * **Frequency**: At least once a month

* [Frontend Weekend](https://soundcloud.com/frontend-weekend)

  * **Description**: An interview podcast with famous Russian web developers.
  * **Frequency**: Once every week

* [Full Stack Radio](http://www.fullstackradio.com/)

  * **Description**: A podcast for developers interested in building great software products. Topics include product design and user experience to unit testing and system administration.
  * **Frequency**: Twice and month

* [HTTP203](https://developers.google.com/web/shows/http203/podcast/)

  * **Description**: A podcast by Google Chrome developer advocates covering all things web.
  * **Frequency**: Approximately once a month

* [JAMStack Radio](https://www.heavybit.com/library/podcasts/jamstack-radio/) ([iTunes](https://itunes.apple.com/us/podcast/jamstack-radio/id1148797643) | [Overcast](https://overcast.fm/itunes1148797643/jamstack-radio) | [Android](https://subscribeonandroid.com/www.heavybit.com/category/library/podcasts/jamstack-radio/feed))

  * **Description**: A show all about the JAMstack, a new way to build fast & secure apps or websites.
  * **Frequency**: Once every week

* [Multiplex](https://www.multiplexpodcast.com/)

  * **Description**: General software development and devops discussion.
  * **Frequency**: Every other week

* [NodeUp](http://nodeup.com/)

  * **Description**: Podcast about Node.js
  * **Frequency**: Various

* [Shop Talk Show](http://shoptalkshow.com/) ([iTunes](https://itunes.apple.com/us/podcast/shoptalk/id493890455) | [Overcast](https://overcast.fm/itunes493890455/shoptalk) | [Android](https://subscribeonandroid.com/shoptalkshow.com/feed/podcast/))

  * **Description**: Podcast about front end web design, development and UX.
  * **Frequency**: Weekly

* [Syntax](https://syntax.fm/)

  * **Description**: A Tasty Treats Podcast for Web Developers.
  * **Frequency**: Once every week

* [ZOFE](http://zofe.com.br/)

  * **Description**: Podcast with a focus on front-end web development - In Brazilian Portuguese.
  * **Frequency**: Apparently podcast ended in 2016


## License

[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](https://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [Rajeev N Bharshetty](https://github.com/rShetty) has waived all copyright and related or neighboring rights to this work.
